<%= form_with(model: entry) do |form| %>
  <% if entry.errors.any? %>
    <div class="message is-danger">
      <div class="message-header">
        <p><%= pluralize(entry.errors.count, "error") %> prohibited this entry from being saved:</p>
      </div>
      <div class="message-body">
      <ul>
        <% entry.errors.each do |error| %>
          <li><%= error.full_message %></li>
        <% end %>
      </ul>
    </div>
  <% end %>

  <div class="field">
    <%= form.label :meal_type, class: "label" %>
    <%= form.text_field :meal_type, class: "input" %>
  </div>

  <div class="field">
    <%= form.label :calories, class: "label" %>
    <%= form.number_field :calories, class: "input" %>
  </div>

  <div class="field">
    <%= form.label :proteins, class: "label" %>
    <%= form.number_field :proteins, class: "input" %>
  </div>

  <div class="field">
    <%= form.label :carbohydrates, class: "label" %>
    <%= form.number_field :carbohydrates, class: "input" %>
  </div>

  <div class="field">
    <%= form.label :fats, class: "label" %>
    <%= form.number_field :fats, class: "input" %>
  </div>

  <div class="actions">
    <%= form.submit class: "button is-success" %>
  </div>
<% end %>
